#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main(){
    int n,m;
    cin>>n>>m;
    ll a[m];
    map <ll,ll> k;
	vector <ll> v;
    for(int i=0;i<m;i++){
    	cin>>a[i];
		k[a[i]]++;
	}
	
	for(auto it : k){
		if(it.second>=n){
			v.push_back(it.first);
		}
	}
	cout<<v.size()<<endl;
	for(int i=0;i<v.size();i++){
		cout<<v[i]<<" ";
	}
	}


